#!/bin/sh

# ======================================
# もしもCSV2HTML 実行シェルスクリプト
# ====================================== 

# ======================================
# 基本設定
# ======================================
# ショップID
ID="25421"
# 商品ページテンプレートファイル
ITEM_TEMP=./itemTemp.html
# 一覧ページテンプレートファイル
LIST_TEMP=./listTemp.html
# 出力ディレクトリ
OUT_DIR=./
# もしもCSVファイルパス
CSV_FILE=./articles.csv
# 作成ページ文字コード
CHAR_CODE="UTF-8"

# ======================================
# オプション設定
# ======================================
# 絞込み検索ワード
KEY_WORD="財布"
# 一覧ページプレフィックス名
LIST_NAME="saifu"
# 一覧ページの表示件数
LIST_CNT="20"


# ======================================
# 実行コマンド
# ======================================
java -Xmn16m -Xms32m -Xmx64m  -jar ./moshimo.jar -id ${ID} -it ${ITEM_TEMP} -lt ${LIST_TEMP} -lp ${LIST_NAME} -lc LIST_CNT -o ${OUT_DIR} -c ${CHAR_CODE} -k "${KEY_WORD}" ${CSV_FILE}

